package com.smppw.analysis.application.dto.performance;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.ListUtil;
import com.smppw.analysis.domain.dto.performance.CorrelationParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/8/12 13:33
 * @description 相关性分析接口请求参数
 */
@Setter
@Getter
public class CorrelationReq extends BasePerformanceReq<CorrelationParams> {
    /**
     * 滚动窗口
     */
    private Integer rollingWindow;
    /**
     * 步长
     */
    private Integer step;

    @Override
    public CorrelationParams convert() {
        CorrelationParams params = BeanUtil.copyProperties(this, CorrelationParams.class);
        params.setRefIds(ListUtil.toLinkedList(this.getRefId()));
        return params;
    }
}
