package com.smppw.analysis.application.dto.performance;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.ListUtil;
import com.smppw.analysis.domain.dto.performance.RevenueParams;
import com.smppw.common.pojo.enums.Frequency;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class RevenueReq extends BasePerformanceReq<RevenueParams> {
    // 1-收益统计，2-收益分布
    private String revenuType;

    // 是否计算超额
    private Boolean ifExcessReturn = false;

    // 滚动频率，周、月、季度和年度
    private Frequency rollingFrequency;

    // 组距，收益分布图表支持用户自定义，收益分布必传参数，可以提供默认值为6
    private String space;

    @Override
    public RevenueParams convert() {
        RevenueParams params = BeanUtil.copyProperties(this, RevenueParams.class);
        params.setRefIds(ListUtil.toLinkedList(this.getRefId()));
        return params;
    }
}
