package com.smppw.analysis.domain.dao;

import com.smppw.analysis.domain.dataobject.CompanyInformationDo;
import com.smppw.analysis.domain.mapper.core.CompanyInformationMapper;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
public class CompanyInformationDao {
    private final CompanyInformationMapper companyInformationMapper;

    public CompanyInformationDao(CompanyInformationMapper companyInformationMapper) {
        this.companyInformationMapper = companyInformationMapper;
    }

    public List<CompanyInformationDo> listCompany(List<String> companyIds) {
        return this.companyInformationMapper.listCompany(companyIds);
    }

    public Map<String, String> getFundIdNameMap(List<String> companyIdList) {
        List<CompanyInformationDo> fundInformationDos = companyInformationMapper.listCompany(companyIdList);
        Map<String, String> fundIdNameMap = new HashMap<>();
        for (CompanyInformationDo fundInformationDo : fundInformationDos) {
            fundIdNameMap.put(fundInformationDo.getCompanyId(), fundInformationDo.getCompanyShortName());
        }
        return fundIdNameMap;
    }
}
