package com.smppw.analysis.domain.dao;

import com.smppw.analysis.domain.dataobject.IndexesProfileDo;
import com.smppw.analysis.domain.mapper.core.IndexesProfileMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Repository
public class IndexesProfileDao {

    @Autowired
    private IndexesProfileMapper indexesProfileMapper;

    public Map<String, String> getFundIdNameMap(List<String> indexIdList) {
        List<IndexesProfileDo> fundInformationDos = indexesProfileMapper.listFundIdAndFundShortName(indexIdList);
        Map<String, String> fundIdNameMap = new HashMap<>();
        for (IndexesProfileDo fundInformationDo : fundInformationDos) {
            fundIdNameMap.put(fundInformationDo.getIndexId(), fundInformationDo.getIndexShortName());
        }
        return fundIdNameMap;
    }

    public List<IndexesProfileDo> listInfoByIndexIdList(List<String> indexIdList) {
        return indexesProfileMapper.listInfoByIndexIdList(indexIdList);
    }
}
