package com.smppw.analysis.domain.dao;

import com.smppw.analysis.domain.dataobject.PersonnelInformationDo;
import com.smppw.analysis.domain.mapper.core.PersonnelInformationMapper;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
public class PersonnelInformationDao {
    private final PersonnelInformationMapper personnelInformationMapper;

    public PersonnelInformationDao(PersonnelInformationMapper personnelInformationMapper) {
        this.personnelInformationMapper = personnelInformationMapper;
    }

    public List<PersonnelInformationDo> listPersonnel(List<String> managerIdList) {
        return this.personnelInformationMapper.listPersonnel(managerIdList);
    }

    public Map<String, String> getFundIdNameMap(List<String> managerIdList) {
        List<PersonnelInformationDo> fundInformationDos = personnelInformationMapper.listPersonnel(managerIdList);
        Map<String, String> fundIdNameMap = new HashMap<>();
        for (PersonnelInformationDo fundInformationDo : fundInformationDos) {
            fundIdNameMap.put(fundInformationDo.getPersonnelId(), fundInformationDo.getPersonnelName());
        }
        return fundIdNameMap;
    }
}
