package com.smppw.analysis.domain.dao.info;

import cn.hutool.core.collection.ListUtil;
import cn.hutool.core.map.MapUtil;
import com.smppw.analysis.domain.dataobject.info.BaseInfoDO;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class InfoFactory {
    private static final InfoDao<? extends BaseInfoDO> DEFAULT = (InfoDao<BaseInfoDO>) secIds -> ListUtil.empty();
    private static final Map<String, InfoDao<? extends BaseInfoDO>> INFO_DAP_MAP = MapUtil.newHashMap(8);

    public InfoFactory(Map<String, InfoDao<? extends BaseInfoDO>> component) {
        INFO_DAP_MAP.putAll(component);
    }

    @SuppressWarnings("unchecked")
    public <R extends BaseInfoDO> InfoDao<R> getInstance(String key) {
        return (InfoDao<R>) INFO_DAP_MAP.getOrDefault(key, DEFAULT);
    }
}
