package com.smppw.analysis.domain.dao.nav;

import com.smppw.analysis.domain.dataobject.nav.MarketIndexesDo;
import com.smppw.analysis.domain.mapper.core.MarketIndexesMapper;
import com.smppw.common.pojo.enums.Frequency;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component(NavConstants.MARKET_INDEX_NAV)
public class MarketIndexDao extends AbstractNavDao<MarketIndexesDo> {
    private final MarketIndexesMapper marketIndexesMapper;

    public MarketIndexDao(MarketIndexesMapper marketIndexesMapper) {
        this.marketIndexesMapper = marketIndexesMapper;
    }

    @Override
    protected List<MarketIndexesDo> listSecNav(List<String> secIds, String startDate, String endDate, Integer curveTypeId, Integer strategyId, Map<String, Frequency> secFrequencyMap) {
        return this.marketIndexesMapper.listNav(secIds, startDate, endDate);
    }
}
