package com.smppw.analysis.domain.dao.nav;

import cn.hutool.core.map.MapUtil;
import com.smppw.constants.SecType;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class NavFactory {
    private static final NavDao DEFAULT = (secIds, startDate, endDate, raiseType, strategy, secFrequencyMap) -> MapUtil.empty();
    private static final Map<String, String> SEC_NAV_MAP = MapUtil.newHashMap(16);
    private static final Map<String, NavDao> NAV_MAP = MapUtil.newHashMap(16);

    static {
        SEC_NAV_MAP.put(SecType.PRIVATELY_OFFERED_FUND, NavConstants.PRIVATELY_FUND_NAV);
        SEC_NAV_MAP.put(SecType.PUBLICLY_OFFERED_FUNDS, NavConstants.PUBLICLY_FUND_NAV);
        SEC_NAV_MAP.put(SecType.INDEX_FUND, NavConstants.MARKET_INDEX_NAV);
        SEC_NAV_MAP.put(SecType.RONGZHI_INDEX, NavConstants.PPW_INDEX_NAV);
        SEC_NAV_MAP.put(SecType.COMPANY, NavConstants.COMPANY_NAV);
        SEC_NAV_MAP.put(SecType.MANAGER, NavConstants.MANAGER_NAV);
        SEC_NAV_MAP.put(SecType.RISK_OF_FREE, NavConstants.RISK_INDEX_NAV);
    }

    public NavFactory(Map<String, NavDao> component) {
        NAV_MAP.putAll(component);
    }

    public NavDao getInstance(String key) {
        // 先直接获取，如果没获取到用标的类型找key再获取
        return NAV_MAP.getOrDefault(key, NAV_MAP.getOrDefault(SEC_NAV_MAP.get(key), DEFAULT));
    }
}
