package com.smppw.analysis.domain.dao.nav;

import com.smppw.analysis.domain.dataobject.nav.NavDo;
import com.smppw.analysis.domain.mapper.core.NavMapper;
import com.smppw.common.pojo.enums.Frequency;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component(NavConstants.PRIVATELY_FUND_NAV)
public class PrivatelyOfferedFundNavDao extends AbstractNavDao<NavDo> {
    private final NavMapper navMapper;

    public PrivatelyOfferedFundNavDao(NavMapper navMapper) {
        this.navMapper = navMapper;
    }

    @Override
    protected List<NavDo> listSecNav(List<String> secIds, String startDate, String endDate, Integer curveTypeId, Integer strategyId, Map<String, Frequency> secFrequencyMap) {
        return this.navMapper.listNav(secIds, startDate, endDate);
    }
}
