package com.smppw.analysis.domain.dao.nav;

import com.smppw.analysis.domain.dataobject.nav.PublicNavDo;
import com.smppw.analysis.domain.mapper.core.PublicNavMapper;
import com.smppw.common.pojo.enums.Frequency;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component(NavConstants.PUBLICLY_FUND_NAV)
public class PubliclyOfferedFundNavDao extends AbstractNavDao<PublicNavDo> {
    private final PublicNavMapper publicNavMapper;

    public PubliclyOfferedFundNavDao(PublicNavMapper publicNavMapper) {
        this.publicNavMapper = publicNavMapper;
    }

    @Override
    protected List<PublicNavDo> listSecNav(List<String> secIds, String startDate, String endDate, Integer curveTypeId, Integer strategyId, Map<String, Frequency> secFrequencyMap) {
        return this.publicNavMapper.listNav(secIds, startDate, endDate);
    }
}
