package com.smppw.analysis.domain.dao.nav;

import com.smppw.analysis.domain.dataobject.nav.DepositNavDo;
import com.smppw.analysis.domain.mapper.core.DepositNavMapper;
import com.smppw.common.pojo.enums.Frequency;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component(NavConstants.RISK_INDEX_NAV)
public class RiskOfFreeNavDao extends AbstractNavDao<DepositNavDo> {
    private final DepositNavMapper depositNavMasterMapper;

    public RiskOfFreeNavDao(DepositNavMapper depositNavMasterMapper) {
        this.depositNavMasterMapper = depositNavMasterMapper;
    }

    @Override
    protected List<DepositNavDo> listSecNav(List<String> secIds, String startDate, String endDate, Integer curveTypeId, Integer strategyId, Map<String, Frequency> secFrequencyMap) {
        return this.depositNavMasterMapper.listNav(secIds, startDate, endDate);
    }
}
