package com.smppw.analysis.domain.dao.nav;

import com.smppw.analysis.domain.dataobject.nav.IndexesRzIndexDo;
import com.smppw.analysis.domain.mapper.core.IndexesRzIndexMapper;
import com.smppw.common.pojo.enums.Frequency;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;
import java.util.Objects;

@Component(NavConstants.PPW_INDEX_NAV)
public class RongzhiIndexNavDao extends AbstractNavDao<IndexesRzIndexDo> {
    private final IndexesRzIndexMapper indexesRzIndexMapper;

    public RongzhiIndexNavDao(IndexesRzIndexMapper indexesRzIndexMapper) {
        this.indexesRzIndexMapper = indexesRzIndexMapper;
    }

    @Override
    protected List<IndexesRzIndexDo> listSecNav(List<String> secIds, String startDate, String endDate, Integer curveTypeId, Integer strategyId, Map<String, Frequency> secFrequencyMap) {
        return this.indexesRzIndexMapper.listNav(secIds, startDate, endDate);
    }

    /**
     * @param indexId /
     * @return /
     * @deprecated 这个方法从净值获取里面移除
     */
    public Boolean isExist(String indexId) {
        Integer exist = this.indexesRzIndexMapper.isExist(indexId);
        return Objects.equals(1, exist);
    }
}
