package com.smppw.analysis.domain.dao.rank;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.map.MapUtil;
import com.smppw.constants.Consts;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.Map;

/**
 * @author wangzaijun
 * @date 2023/8/10 10:56
 * @description 排名方式抽象工厂
 */
@Component
public class RankFactory {
    /**
     * 默认的取最新月份的作为排名期
     */
    private static final RankDao DEFAULT = () -> DateUtil.format(new Date(), Consts.SHORT_DATE_PATTERN);
    private static final Map<String, RankDao> RANK_MAP = MapUtil.newHashMap(8);

    public RankFactory(Map<String, RankDao> component) {
        RANK_MAP.putAll(component);
    }

    public RankDao getInstance(String key) {
        return RANK_MAP.getOrDefault(key, DEFAULT);
    }
}
