package com.smppw.analysis.domain.dataobject;

import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/9 14:30
 * @description 公募基金费率信息
 */
@Data
public class ManualFundFeeDo {

    /**
     * 基金id
     */
    private String fundId;
    /**
     * 费率类别
     * 10210 - 认购费场外前端
     * 11010 - 日常申购费前端
     * 11210 - 日常申购费场外前端
     * 12000 - 日常赎回费
     * 12200 - 日常赎回费场外
     * 15000 - 管理费
     * 16000 - 托管费
     * 19000 - 营销费
     */
    private String chargeRateType;

    /**
     * 费率描述
     */
    private String chargeRateDes;

    /**
     * 费率划分标准范围Ⅰ起始数值
     */
    private Double stDivStand1;

    /**
     * 费率划分标准范围Ⅰ截止数值
     */
    private Double enDivStand1;

}
