package com.smppw.analysis.domain.dataobject;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author mozuwen
 * @date 2023/8/9 15:30
 * @description 人员信息
 */
@Setter
@Getter
public class PersonnelInformationDo {
    /**
     * 人员id
     */
    private String personnelId;

    /**
     * 姓名
     */
    private String personnelName;

    /**
     * 性别
     */
    private Integer sex;

    /**
     * 人员头像,93
     */
    private String avatar;

    /**
     * 人员头像,172
     */
    private String avatar2;

    /**
     * (已废弃)人员类别:1-基金经理 2-投研 3-联系人 4-市场 5-合规风控 6-公司高管 7-公司法人 8-交易 -1-其他
     */
    private Integer personnelType;

    /**
     * 职业背景：1-券商，2-公募，3-其他金融机构，4-媒体，5-海外，6-民间，7-期货，8-实业、9-学者、10-银行、11-信托、12-保险、13-私募、-1-其他
     */
    private Byte professionBackground;

    /**
     * (已废弃)是否为核心人物标志，1-是，0-否，-1-其他
     */
    private Integer keyFigure;

    /**
     * (已废弃)就职公司id
     */
    private String companyId;

    /**
     * (已废弃)当前职位
     */
    private String position;

    /**
     * 从业开始年份
     */
    private String careerStartYear;

    /**
     * 从业年限，<量纲：年>,-1:从业年限不详
     */
    private Byte investmentExperience;
    /**
     * 出生日期
     */
    private String birthday;

    /**
     * 籍贯-省份
     */
    private String provinceId;

    /**
     * 籍贯-城市
     */
    private String cityId;

    /**
     * 毕业院校
     */
    private String graduateschool;

    /**
     * 毕业院校2
     */
    private String graduateschool2;

    /**
     * 毕业院校3
     */
    private String graduateschool3;

    /**
     * 最高学历：1-小学、2-中学、3-大专、4-本科，5-硕士，6-博士，7-博士后，-1-其他
     */
    private Integer education;

    /**
     * 主修专业
     */
    private String major;

    /**
     * 主修专业2
     */
    private String major2;

    /**
     * 主修专业3
     */
    private String major3;

    /**
     * 国际电话区号
     */
    private String countryCode;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 座机号码
     */
    private String phone;

    /**
     * 邮箱地址
     */
    private String email;

    /**
     * 其他联系方式
     */
    private String otherContact;

    /**
     * 擅长领域
     */
    private String expertiseArea;

    /**
     * 历任最高职位：1-高级经理 2-投资经理 3-研究人员 4-交易人员 5-风控合格 -1-其他
     */
    private Byte highestPosition;

    /**
     * 是否有从业资格:1-是，2-否
     */
    private Byte isQualify;

    /**
     * 资格获取方式：1-考试，2-资格认定
     */
    private String getQualifyMethod;

    /**
     * 证书编号(基金从业资格)
     */
    private String certificateNumber;

    /**
     * 人物简介
     */
    private String profile;

    /**
     * (已废弃)人物次序
     */
    private Integer order;

    /**
     * (已废弃)是否纳入团队信息
     */
    private Integer ifinclude;

    /**
     * 人物是否在前台可见：1-可见，0-禁止显示
     */
    private Integer isvisible;

    /**
     * 创建者Id,默认第一次创建者名称，创建后不变更
     */
    private Integer creatorid;

    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    private Date createtime;

    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    private Integer updaterid;

    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    private Date updatetime;

    /**
     * 记录的有效性；1-有效；0-无效；
     */
    private Integer isvalid;
}
