package com.smppw.analysis.domain.dataobject.info;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Setter
@Getter
public class FundInfoDO extends BaseInfoDO {
    /**
     * 基金id
     */
    private String fundId;
    /**
     * 基金全称
     */
    private String fundName;
    /**
     * 基金简称
     */
    private String fundShortName;
    /**
     * 备案编码
     */
    private String registerNumber;
    /**
     * 中基协备案编码访问地址
     */
    private String amacUrl;
    /**
     * 募集类型
     * 1- 私募，2-公募
     */
    private Integer raiseType;
    /**
     * 基金成立日
     */
    private Date inceptionDate;
    /**
     * 基金对应基准id
     */
    private String primaryBenchmarkId;
    /**
     * 基金管理人
     */
    private String trustId;
    /**
     * 基金一级策略（中基协）
     */
    private Integer strategy;
    /**
     * 基金二级策略（中基协）
     */
    private Integer substrategy;
    /**
     * 基金一级策略（排排网策略）
     */
    private Integer firstStrategy;
    /**
     * 基金二级策略（排排网策略）
     */
    private Integer secondStrategy;
    /**
     * 基金三级策略（排排网策略）
     */
    private Integer thirdStrategy;
    /**
     * 基金状态
     * 1-募集中、2-开放运行、3-封闭运行（已废弃）、4-提前清算、5-到期清算、6-发行失败、7-投顾协议已终止、 8-延期清算 -1-其他 9-非正常清算 10-已终止 11-已作废
     */
    private Integer fundStatus;
    /**
     * 基金经理id集合
     */
    private String managerIds;

    @Override
    public String getRefId() {
        return fundId;
    }

    @Override
    public String getRefName() {
        return fundName;
    }
}
