package com.smppw.analysis.domain.dataobject.nav;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2023/8/11 9:47
 * @description 净值基本信息抽象
 */
@Setter
@Getter
public abstract class BaseNavDO {
    /**
     * 标的id
     *
     * @return 标的id（基金、公司、经理、指数、组合、因子等id）
     */
    public abstract String getRefId();

    /**
     * 净值日期
     *
     * @return /
     */
    public abstract String getNavDate();

    /**
     * 单位净值
     */
    public abstract BigDecimal getNav();

    /**
     * 考虑分红再投资的单位累计净值
     */
    public abstract BigDecimal getCumulativeNav();

    /**
     * 分红不投资的单位累计净值
     */
    public abstract BigDecimal getCumulativeNavWithdrawal();
}
