package com.smppw.analysis.domain.dataobject.nav;

import com.smppw.common.cache.CaffeineLocalCache;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 投顾产品周度拟合净值信息
 */
@Setter
@Getter
public class CompanyFittedCurveWeeklyDo extends CompanyNavDO {
    /**
     * 拟合后净值年周
     */
    private String yearWeek;

    /**
     * 拟合后净值所在年
     */
    private String endYear;

    /**
     * 拟合后净值全年所在周
     */
    private Byte weekOfYear;

    /**
     * 净值日期
     */
    private Date priceDate;

    @Override
    public String getNavDate() {
        return CaffeineLocalCache.getLastTradeDateByYearWeek(this.getYearWeek());
    }
}