package com.smppw.analysis.domain.dataobject.nav;

import cn.hutool.core.date.DateUtil;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wangzaijun
 * @date 2023/8/11 10:17
 * @description 无风险利率的净值
 */
@Setter
@Getter
public class DepositNavDo extends BaseNavDO {
    /**
     * id
     */
    private Integer id;

    /**
     * 基金id，'HF'开头(后加36进制编码格式,不足8位长度左补零） 例：HF00000001
     */
    private String fundId;

    /**
     * 净值日期
     */
    private Date priceDate;

    /**
     * 单位净值
     */
    private BigDecimal nav;

    /**
     * 创建者Id,默认第一次创建者名称，创建后不变更
     */
    private Integer creatorid;

    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    private Date createtime;

    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    private Integer updaterid;

    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    private Date updatetime;

    /**
     * 记录的有效性；1-有效；0-无效；
     */
    private Integer isvalid;

    @Override
    public String getNavDate() {
        return DateUtil.formatDate(this.priceDate);
    }

    @Override
    public String getRefId() {
        return this.fundId;
    }

    @Override
    public BigDecimal getCumulativeNav() {
        return nav;
    }

    @Override
    public BigDecimal getCumulativeNavWithdrawal() {
        return nav;
    }
}