package com.smppw.analysis.domain.manager.info.handler;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dao.FundInformationDao;
import com.smppw.analysis.domain.dao.nav.NavFactory;
import com.smppw.analysis.domain.dataobject.info.FundInfoDO;
import com.smppw.analysis.domain.dto.info.FundHeadInfoVO;
import com.smppw.analysis.domain.dto.info.PrivatelyFundHeadInfoVO;
import com.smppw.analysis.domain.manager.info.AbstractFundHeadInfo;
import com.smppw.analysis.domain.manager.info.HeadInfoConstants;
import com.smppw.analysis.domain.service.BaseInfoService;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component(HeadInfoConstants.PRIVATELY_FUND)
public class PrivatelyFundHeadInfo extends AbstractFundHeadInfo<PrivatelyFundHeadInfoVO> {
    public PrivatelyFundHeadInfo(NavFactory navFactory, FundInformationDao fundInformationDao, BaseInfoService baseInfoService) {
        super(navFactory, fundInformationDao, baseInfoService);
    }

    @Override
    public PrivatelyFundHeadInfoVO handleExtInfo(FundInfoDO fundInfo, FundHeadInfoVO headInfo, Map<String, String> secNameMap) {
        PrivatelyFundHeadInfoVO result = BeanUtil.copyProperties(headInfo, PrivatelyFundHeadInfoVO.class, "strategy", "substrategy", "thirdStrategy");
        if (fundInfo.getFirstStrategy() != null) {
            result.setStrategy(secNameMap.get(fundInfo.getFirstStrategy().toString()));
            result.setStrategyId(fundInfo.getFirstStrategy());
        }
        if (fundInfo.getSecondStrategy() != null) {
            result.setSubstrategy(secNameMap.get(fundInfo.getSecondStrategy().toString()));
            result.setSubstrategyId(fundInfo.getSecondStrategy());
        }
        if (fundInfo.getThirdStrategy() != null) {
            result.setThirdStrategy(secNameMap.get(fundInfo.getThirdStrategy().toString()));
            result.setThirdStrategyId(fundInfo.getThirdStrategy());
        }
        return result;
    }
}
