package com.smppw.analysis.domain.manager.position;

import cn.hutool.core.map.MapUtil;
import com.smppw.constants.SecType;

import java.util.Map;

/**
 * @author wangzaijun
 * @date 2023/8/11 8:59
 * @description 基金持仓分析静态常量 bean名称
 */
public final class PositionLoadConstants {
    public static final String PRIVATELY_FUND = "privatelyFundPosition";
    public static final String PUBLICLY_FUND = "publiclyFundPosition";
    public static final Map<String, String> SEC_TYPE_HEAD_MAP = MapUtil.newHashMap(8);

    static {
        SEC_TYPE_HEAD_MAP.put(SecType.PRIVATELY_OFFERED_FUND, PRIVATELY_FUND);
        SEC_TYPE_HEAD_MAP.put(SecType.PUBLICLY_OFFERED_FUNDS, PUBLICLY_FUND);
    }

    private PositionLoadConstants() {
    }
}
