package com.smppw.analysis.domain.mapper.core;

import com.smppw.analysis.domain.dataobject.PersonnelInformationDo;
import com.smppw.analysis.domain.dataobject.PersonnelWorkExperienceDo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author mozuwen
 * @date 2023/8/9 15:30
 * @description 人员信息Mapper
 */
@Repository
public interface PersonnelInformationMapper {
    /**
     * 获取人员基本信息
     *
     * @param managerIdList /
     * @return /
     */
    List<PersonnelInformationDo> listPersonnel(@Param("managerIdList") List<String> managerIdList);

    /**
     * 获取人员基本信息
     *
     * @param refId 基金id
     * @return 人员基本信息
     */
    List<PersonnelInformationDo> getFundManagerInfo(String refId);

    /**
     * 获取人员任职经历
     *
     * @param personnelIdList 人员id列表
     * @return 人员任职经历
     */
    List<PersonnelWorkExperienceDo> listPersonnelWorkExperience(@Param("personnelIdList") List<String> personnelIdList);

    /**
     * 获取公募基金正在任职的人员基本信息
     *
     * @param refId 基金id
     * @return 公募基金正在任职的人员基本信息
     */
    List<PersonnelInformationDo> getFundPresentManagerInfo(String refId);
}
